WordPress.org

Ready to get started?Download WordPress

Forums

WP-Yadis 1.1 delegation doesn't work in blog running WP-OpenID+ (16 posts)

  1. sairuh
    Member
    Posted 6 years ago #

    Hello,

    I have a site running WordPress 2.2.3 with the WP-OpenID+ (rev13) and WP-Yadis (v1.1) plugins. Although users are able to post comments with OpenIDs from LiveJournal, Bloglines, MyOpenID, etc., I'm unable to post comments using an OpenID delegated from a WordPress blog URL (standalone install, not from wordpress.com). After authenticating at the OpenID provider, I get the WP login screen with the following error:

    OpenID Authentication Failed: Server denied check_authentication.

    Is anyone else able to get this to work? I have an entry at a test site, running the same versions noted above:

    http://sairuh.org/2007/09/11/testing-openid-delegation-wp-yadis/

    Could this be due to incompatibilities with WP 2.2.x?

    Thanks in advance.

  2. Will Norris
    Member
    Posted 6 years ago #

    yes, there are known issues with WP 2.2.x. Refer to http://willnorris.com/2007/09/wordpress-openid-20-coming-soon

  3. Will Norris
    Member
    Posted 6 years ago #

    The SVN trunk of both plugins (openid and yadis) are currently pretty stable and working well. I really hope to have a release later this week.

  4. sairuh
    Member
    Posted 6 years ago #

    Hi Will,

    I upgraded my test site (sairuh.org) to WP 2.3 and installed revision 20728 (trunk svn) of wp-yadis (used the yadis.php file). I tried testing OpenID delegation by adding a comment to your site (in the recent entry "plugin updates"). Unfortunately, it still didn't work, and I got the WP login screen --although with a different error than originally reported here:

    We were unable to authenticate your OpenID

    Thanks for taking the time and effort to update both of these plugins!

    (Fwiw, I haven't installed the latest svn of wp-openid+ on sairuh.org --I'll do that later...)

  5. sairuh
    Member
    Posted 6 years ago #

    I tested WP-Yadis v1.2 along with an svn version of WP-OpenID+ (trunk 24319). I still cannot manage to delegate.

    The error is the same as my last observation: We were unable to authenticate your OpenID

    Fwiw, I'm using the default WP-OpenID+ settings where neither of the checkboxes for Behavior and Look & Feel are selected.

    Are there are other things I ought to check? Let me know if I should post the Status Information for the WP-OpenID+ plugin; it's blue with "all systems nominal."

  6. sairuh
    Member
    Posted 6 years ago #

    Aha, I was able to leave a comment in your blog, Will. (Please excuse the noise from my comments and testing!) So now I think my issues might be due to:

    1. I somehow flubbed the installation or setup of the svn trunk build of WP-OpenID+, or,

    2. The svn build I have installed is already out of date. ;)

    I'm running WP 2.3.1, too.

    To help with test comparisons on my end, what versions (released or svn) of WP-Yadis and WP-OpenID+ are running on willnorris.com?

    Thanks again.

  7. Will Norris
    Member
    Posted 6 years ago #

    wordpress - 2.3.1
    wp-openid - Last Changed Rev: 24324
    wp-yadis - Last Changed Rev: 23260

  8. sairuh
    Member
    Posted 6 years ago #

    Drat, still unable to delegate on my own site. Tested with rev 24325 of WP-OpenID+ and v1.2 of WP-Yadis.

    Will there be a newer version of WP-Yadis coming out soon?

  9. Will Norris
    Member
    Posted 6 years ago #

    heh.. I can't recall what all has changed since the last released version. I'll have to look into that.

  10. Will Norris
    Member
    Posted 6 years ago #

    see if version 1.2.1 works better for you.

  11. sairuh
    Member
    Posted 6 years ago #

    Still unable to delegate using wp-yadis 1.2.1 and openid svn rev 24416 on sairuh.org, with the same error (We were unable to authenticate your OpenID).

    Fwiw I'm using sairuh.org as the URL I'm trying to delegate to. Not sure if it matters that I'm delegating on the same site I'm commenting in.

  12. Will Norris
    Member
    Posted 6 years ago #

    sairuh... just remember what is probably wrong. Check the "https" question in the FAQ for wp-openid. I bet that's your problem. You can either try the solution linked to in that FAQ, or just delegate to non-https URLs. The reason you were able to use your delegated OpenID on my site is because I contacted Joyent and had them update that ca cert file.

  13. sairuh
    Member
    Posted 6 years ago #

    Indeed, that might be the culprit. I'll contact my OpenID provider and see if they can resolve it.

  14. Will Norris
    Member
    Posted 6 years ago #

    no, it's not your OpenID provider (in this case MyOpenID)... it's your webhost (DreamHost). They likely have an old version of the ca certs file.

  15. sairuh
    Member
    Posted 6 years ago #

    I didn't realize that. (My knowledge of OpenID and especially security/cert stuff ain't too strong.) Thanks for the clarification.

  16. droupou
    Member
    Posted 6 years ago #

    I am also having a problem receiving the error message "We were unable to authenticate your OpenID".

    I am using version 2.1.8 of the WP-OpenID. I have tried two seperate ID servers (claimID and MyOpenID) and both receive the same message. I'm on version 2.5.1 of WordPress and testing on windows XP using FireFox 2.0.0.14. My site is at http://runowski.org. Please let me know if I can provide you with any additional data.

    Thanks,
    Rick

Topic Closed

This topic has been closed to new replies.

About this Topic